Name:		kibana
Version:	4.0.0
Release:	0.4.beta2%{?dist}
Summary:	visualize logs and time-stamped data
Group: 		System Environment/Daemons
License:	ASL 2.0
URL:		http://www.elasticsearch.org/overview/kibana/

Source0: https://download.elasticsearch.org/%{name}/%{name}/%{name}-%{version}-BETA2.tar.gz
Source1: kibana.init
Source2: kibana.defaults

Requires: jre >= 1.6.0

BuildArch: noarch

# This is a binary package and it will pull in strange deps that are bundled.
AutoReqProv: no

%description
Elasticsearch works seamlessly with Kibana to let you see and interact with
your data.


%prep
%setup -n %{name}-%{version}-BETA2


%install
mkdir -p %{buildroot}/opt/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/
mkdir -p %{buildroot}%{_sysconfdir}/init.d/
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
mkdir -p %{buildroot}%{_var}/run/%{name}
mkdir -p %{buildroot}%{_var}/lib/%{name}
mkdir -p %{buildroot}%{_var}/log/%{name}

cp -a * %{buildroot}/opt/%{name}/
install -m755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/%{name}
install -m644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
install -m640 %{buildroot}/opt/%{name}/config/%{name}.yml %{buildroot}/%{_sysconfdir}/%{name}/%{name}.yml


%pre
# create kibana group
if ! getent group kibana >/dev/null; then
  groupadd -r kibana
fi

# create kibana user
if ! getent passwd kibana >/dev/null; then
  useradd -r -g kibana -d /opt/kibana \
    -s /sbin/nologin -c "kibana" kibana
fi


%post
/sbin/chkconfig --add kibana
chown -R kibana:kibana /opt/kibana
chgrp -R kibana /etc/kibana
chown -R kibana /var/log/kibana
chown kibana:kibana /var/lib/kibana


%preun
if [ $1 -eq 0 ]; then
  /sbin/service kibana stop >/dev/null 2>&1 || true
  /sbin/chkconfig --del kibana
  if getent passwd kibana >/dev/null ; then
    userdel kibana
  fi

  if getent group kibana > /dev/null ; then
    groupdel kibana
  fi
fi


%files
%doc LICENSE.txt README.txt
%{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/%{name}
%{_var}/run/%{name}
%{_var}/lib/%{name}
%{_var}/log/%{name}
/opt/%{name}


%changelog
* Mon Nov 17 2014 Wesley Hearn <whearn@redhat.com> - 4.0.0-0.4.beta2
- Fix a permissions on the config file.

* Mon Nov 17 2014 Wesley Hearn <whearn@redhat.com> - 4.0.0-0.3.beta2
- Fix a typo in the post install scriptlet.

* Mon Nov 17 2014 Wesley Hearn <whearn@redhat.com> - 4.0.0-0.2.beta2
- Add kibana user and group.
- Fixed summary and description

* Mon Nov 17 2014 Wesley Hearn <whearn@redhat.com> - 4.0.0-0.1.beta2
- Add missing directories.

* Fri Nov 14 2014 Wesley Hearn <whearn@redhat.com> - 4.0.0-0.beta2
- Initial package
